> ## Documentation Index
> Fetch the complete documentation index at: https://doc-test-my.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Webhook

> Delete a webhook of a sub-merchant account using Razorpay APIs

Use this endpoint to delete the webhook of a sub-merchant's account generated by Razorpay. Know about the [various error responses](/docs/api/partners/errors) for this API.

<RequestExample>
  ```bash Curl theme={null}
  curl -X DELETE https://api.razorpay.com/v2/accounts/acc_H3kYHQ635sBwXG/webhooks/HK890egfiItP3H \
  -u <ACCESS_TOKEN> \
  ```

  ```java Java theme={null}
  RazorpayClient razorpay = new RazorpayClient("[ACCESS_TOKEN]");

  String accountId = "acc_GP4lfNA0iIMn5B";

  String webhookId = "HK890egfiItP3H";

  List<Webhook> webhook = instance.webhook.delete(accountId, webhookId);
  ```

  ```ruby Ruby theme={null}
  require "razorpay"
  Razorpay.setup('ACCESS_TOKEN')
  accountId = "acc_GP4lfNA0iIMn5B"

  webhookId = "HK890egfiItP3H"

  Razorpay::Webhook.delete(webhookId, accountId)
  ```

  ```csharp .NET theme={null}
  RazorpayClient client = new RazorpayClient("[ACCESS_TOKEN]");

  string accountId = "acc_ua2tBezhcEBvap";

  string webhookId = "HK890egfiItP3H";

  List<Webhook> webhook = client.Webhook.Delete(webhookId, accountId);
  ```
</RequestExample>

<ResponseExample>
  ```json Success theme={null}
  {
    []
  }    
  ```
</ResponseExample>

## Path Parameters

<ParamField path="account_id" type="string" required>
  The unique identifier of a sub-merchant account generated by Razorpay. For example, `acc_H3kYHQ635sBwXG`.
</ParamField>

<ParamField path="webhook_id" type="string" required>
  The unique identifier of the webhook whose details are to be deleted. For example, `HK890egfiItP3H`
</ParamField>
